ldif-duplicate-attrs(1)

Name
ldif-duplicate-attrs — check for multi-value attributes in LDIF file

Usage
procalldiff [-C] <foo.ldif >report.txt

Input must not contain linewraps. Do use with

{slapcat|ldapsearch} -o ldif-wrap=no ...

Description
Reads an LDIF file from standard input and checks for the presence of multivalued attributes of all DNs. Whitelisted attribute names are excluded from the problem report. Outputs a statistic sorted by severity to standard output.

Options

-C  Force color output. Useful when piping into `less -R`. (By default, color is only emitted when stdout is a tty.)

Example output
	11	cn=67eoG,ou=Muenchen,o=Deutschland
		uid(3) cn(2) fullName(2) mail(2) sn(2)
	10	cn=Hoff,ou=Muenchen,o=Deutschland
		homeCity(2) homePostalAddress(2) homeZipCode(2) l(2)
		telephoneNumber(2)

The DN cn=67eoG has had three values for the "uid" attribute, two for "cn", and so on, for a total badness score of 11. The entire output is sorted by:

1.  Overall, DNs are sorted by descending score.

2.  For a particular DN, attributes are sorted by descending score.

3.  If two attributes have the same score, sort occurs lexicographically ascending.

See also
hxtools(7)